export default function createCategory({ categoryName, children, packFolderName, settings = undefined, previews = undefined, icon = undefined, parentPath = undefined }) {
    return {
        name: categoryName,
        path: `D:\\temp\\MotionBro\\${packFolderName}_by_Videolancer${parentPath ? "\\" + parentPath.join("\\") : ""}\\${categoryName}`,
        type: "category",
        children: children,
        settings: settings,
        previews: previews,
        icon: icon
    };
}
